Bug 1018475 - (gdm, log, logout, out) [abrt] gnome-shell-3.10.0.1-1.fc20: g_hash_table_resize: Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
[abrt] gnome-shell-3.10.0.1-1.fc20: g_hash_table_resize: Process /usr/bin/gno...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:7e2efbf973a3c56a78aedf3be5f...
:
Depends On:
Blocks: 1082158
  Show dependency treegraph
 
Reported: 2013-10-12 07:51 EDT by Anonymous
Modified: 2015-06-29 08:37 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:37:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.36 KB, text/plain)
2013-10-12 07:51 EDT, Anonymous
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-12 07:51 EDT, Anonymous
no flags Details
File: core_backtrace (23.47 KB, text/plain)
2013-10-12 07:51 EDT, Anonymous
no flags Details
File: dso_list (24.50 KB, text/plain)
2013-10-12 07:51 EDT, Anonymous
no flags Details
File: environ (1.46 KB, text/plain)
2013-10-12 07:51 EDT, Anonymous
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-12 07:51 EDT, Anonymous
no flags Details
File: maps (102.17 KB, text/plain)
2013-10-12 07:52 EDT, Anonymous
no flags Details
File: open_fds (4.31 KB, text/plain)
2013-10-12 07:52 EDT, Anonymous
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-10-12 07:52 EDT, Anonymous
no flags Details
File: var_log_messages (2.87 KB, text/plain)
2013-10-12 07:52 EDT, Anonymous
no flags Details
Captured system state during high cpu load by gnome-session in tar bz2 (132.04 KB, application/x-bzip-compressed-tar)
2014-06-17 00:40 EDT, vikram goyal
no flags Details

  None (edit)
Description Anonymous 2013-10-12 07:51:31 EDT
Description of problem:
I hanged terminal to vt2 via ctrl-alt-F2. I logged as a root. I typed: service gdm stop. And I think it is the moment, when gnome-shell crashed because LED providing information about HDD started to light and I heard working HDD. Then I updated system via yum update and typed init 6 to restart.

Version-Release number of selected component:
gnome-shell-3.10.0.1-1.fc20

Additional info:
reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_hash_table_resize
executable:     /usr/bin/gnome-shell
kernel:         3.11.3-301.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #6 g_hash_table_resize at ghash.c:568
 #7 g_hash_table_maybe_resize at ghash.c:594
 #8 g_hash_table_remove_internal at ghash.c:1277
 #9 do_call at gdbusnamewatching.c:216
 #10 call_vanished_handler at gdbusnamewatching.c:242
 #11 on_name_owner_changed at gdbusnamewatching.c:307
 #12 emit_signal_instance_in_idle_cb at gdbusconnection.c:3743
 #17 meta_run at core/main.c:556
Comment 1 Anonymous 2013-10-12 07:51:36 EDT
Created attachment 811557 [details]
File: backtrace
Comment 2 Anonymous 2013-10-12 07:51:39 EDT
Created attachment 811558 [details]
File: cgroup
Comment 3 Anonymous 2013-10-12 07:51:44 EDT
Created attachment 811559 [details]
File: core_backtrace
Comment 4 Anonymous 2013-10-12 07:51:48 EDT
Created attachment 811560 [details]
File: dso_list
Comment 5 Anonymous 2013-10-12 07:51:52 EDT
Created attachment 811561 [details]
File: environ
Comment 6 Anonymous 2013-10-12 07:51:55 EDT
Created attachment 811562 [details]
File: limits
Comment 7 Anonymous 2013-10-12 07:52:00 EDT
Created attachment 811563 [details]
File: maps
Comment 8 Anonymous 2013-10-12 07:52:04 EDT
Created attachment 811564 [details]
File: open_fds
Comment 9 Anonymous 2013-10-12 07:52:08 EDT
Created attachment 811565 [details]
File: proc_pid_status
Comment 10 Anonymous 2013-10-12 07:52:12 EDT
Created attachment 811566 [details]
File: var_log_messages
Comment 11 Andre Klapper 2014-02-16 14:19:00 EST
Another user experienced a similar problem:

No idea - happened after logging out of a gnome-shell session and logging in into a XFCE session.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_hash_table_resize
executable:     /usr/bin/gnome-shell
kernel:         3.12.10-300.fc20.i686+PAE
package:        gnome-shell-3.10.3-4.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Jeremy Harris 2014-06-05 04:13:10 EDT
Another user experienced a similar problem:

First login after boot.  Xfce panel is missing, as are window decorations.

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        gnome-shell --mode=gdm
crash_function: g_hash_table_resize
executable:     /usr/bin/gnome-shell
kernel:         3.14.4-200.fc20.x86_64
package:        gnome-shell-3.10.4-4.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            42
Comment 13 vikram goyal 2014-06-17 00:40:35 EDT
Created attachment 909383 [details]
Captured system state during high cpu load by gnome-session in tar bz2

The problem happens off & on but after a boot.I don't remember if it happened after a relogin, I will keep an eye on that & report if necessary.

In an instance of this problem where a login to cinnamon hung, I captured some system state which may be useful. Attaching the same as tar/bzip2 file.
Comment 14 Pavel Malyshev 2014-07-25 04:28:55 EDT
Another user experienced a similar problem:

I have a laptop with connected external display as primary.
I've unpluged external display from laptop. Waited few seconds, Gnome didn't switch laptop display to become primary.
I hit a button to switch displays (named CRT/LCD). Finally laptop display became primary.
In few hours I've connected external display back. Desktop became unrespnosive.
 In few _minutes_ I hit Ctrl-Alt-F2, logged in and restarted gdm (service gdm restart).
After I've logged into GUI there was two gnome-shell processes, one of which died later.
It seems that the core is from this dead gnome-shell.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_hash_table_resize
executable:     /usr/bin/gnome-shell
kernel:         3.15.5-200.fc20.x86_64
package:        gnome-shell-3.10.4-5.fc20
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1044
Comment 15 vikram goyal 2014-09-30 07:18:44 EDT
Another user experienced a similar problem:

I rebooted & logged into LXDE. On login to the desktop there was this crash dump.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-shell --mode=gdm
crash_function: g_hash_table_resize
executable:     /usr/bin/gnome-shell
kernel:         3.16.3-200.fc20.x86_64
package:        gnome-shell-3.10.4-8.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            42
Comment 16 Fedora End Of Life 2015-05-29 05:33:50 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-06-29 08:37:32 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.